All Classes Namespaces Functions Variables Groups Pages
MailMessage Namespace Reference

the MailMessage namespace holds all public definitions in the MailMessage module More...

## Classes

class | Attachment
| class representing a MIME Attachment for the Message More...
class | Message
| The Message class holds the information for a single email Message. More...
class | Part
| class representing a MIME part of a Message More...

## Variables

const | EncBase64 = ContentTransEncBase64
| base-64 content transfer encoding
const | EncDefault = "default"
| default content transfer encoding depending on attachment type More...
const | EncNone = "none"
| no content transfer encoding (not recommended as SMTP servers break up long lines automatically)
const | Encodings
| a list of all known content encoding schemes encodings
const | EncQuotedPrintable = ContentTransEncQuotedPrintable
| "quoted-printable" content transfer encoding

## Detailed Description

the MailMessage namespace holds all public definitions in the MailMessage module

This includes:

- Message: wraps an email message
- Attachment: used to attach files to a Message
- Part: used to represent alternate representations of the message body